using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace SWRIS.Enums
{
    public enum ResetType
    {
        /// <summary>
        /// 不重置
        /// </summary>
        [Description("不重置")]
        NoReset = 0,

        /// <summary>
        /// 延时重置
        /// </summary>
        [Description("延时重置")]
        [Range(1, short.MaxValue)]
        DelayedReset = 1,

        /// <summary>
        /// 新测试重置
        /// </summary>
        [Description("新测试重置")]
        NewTestReset = -1
    }
}
